﻿--2024-05-13update
ALTER TABLE t_d_form_widget MODIFY COLUMN role_type varchar(500) NULL COMMENT '角色类型';

--2024-05-14update
DROP TABLE IF EXISTS `t_b_crm_detail`;
CREATE TABLE t_b_crm_detail
(
    id BIGINT
        COMMENT '主键' NOT NULL,
    crm_no VARCHAR(100)
        COMMENT '派单号' NOT NULL,
    flow_deployment_id VARCHAR(50)
        COMMENT '流程部署id' NOT NULL,
    sop_no VARCHAR(100)
        COMMENT 'sop单号' NULL,
    status VARCHAR(20)
        COMMENT '状态，UN_PUBLISH：未发布，PUBLISH：发布' NOT NULL,
    course_name VARCHAR(255)
        COMMENT '科目名称' NOT NULL,
    exam_student_count INTEGER
        COMMENT '考生人数' NOT NULL,
    contacts VARCHAR(100)
        COMMENT '联系人' NULL,
    mobile_number VARCHAR(30)
        COMMENT '电话' NULL,
    service_scope VARCHAR(30)
        COMMENT '服务范围，SCAN：仅扫描，SCAN_MARK：扫描+阅卷' NOT NULL,
    scan_start_time BIGINT
        COMMENT '扫描开始时间' NOT NULL,
    scan_end_time BIGINT
        COMMENT '扫描结束时间' NOT NULL,
    mark_paper_start_time BIGINT
        COMMENT '阅卷开始时间' NOT NULL,
    mark_paper_end_time BIGINT
        COMMENT '阅卷结束时间' NOT NULL,
    create_id BIGINT
        COMMENT '创建人id' NULL,
    create_time BIGINT
        COMMENT '创建时间' NULL,
    update_id BIGINT
        COMMENT '更新人id' NULL,
    update_time BIGINT
        COMMENT '更新时间' NULL,
    PRIMARY KEY (`id`),
    UNIQUE KEY `t_b_crm_detail_unique` (`crm_no`,`course_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='派单明细';

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3080, '导入派单明细', '/api/admin/tb/crm/detail/sop/import', 'URL', 3079, 1, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3081, '获取派单信息', '/api/admin/tb/crm/detail/sop/var/info', 'URL', 3079, 2, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3082, '派单明细sop变量保存', '/api/admin/tb/crm/detail/sop/var/save', 'URL', 3079, 3, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3083, '获取派单明细sop信息', '/api/admin/tb/crm/detail/sop/info', 'URL', 3079, 4, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3084, '创建/编辑派单明细sop', '/api/admin/tb/crm/detail/sop/save', 'URL', 3079, 5, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3085, '派单明细sop发布', '/api/admin/tb/crm/detail/sop/publish', 'URL', 3079, 6, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3086, '派单明细sop删除', '/api/admin/tb/crm/detail/sop/delete', 'URL', 3079, 7, 'AUTH', NULL, 1, 1, 0);

ALTER TABLE t_b_crm ADD process_var MEDIUMTEXT
    COMMENT '过程变量' NULL after publish_time;